Holger's Java API

## com.antelmann.sql
Class Mysqldump

    java.lang.Object
      com.antelmann.sql.Mysqldump

    public class Mysqldump

extends Object

implements a wrapper around the 'mysqldump' command for ease of use when embedding mysqldump into a Java application

Since:
  30.08.2012, 12:56:26
Author:
  holger
See Also:
  `MySQLHelper`

Constructor Summary
`Mysqldump()`
`Mysqldump(String mysqldumpCommand)`

Method Summary
`void` `clear()` resets the connection specific data
`void` `configureFromSettings(String prefix)`
`Process` `loadFrom(File dumpFile, Monitor monitor, boolean wait)`
`Mysqldump` `setCompress(boolean flag)`
`Mysqldump` `setDatabase(String... dbname)`
`Mysqldump` `setMysqlCommand(String mysqlCommand)`
`Mysqldump` `setMysqldump(String mysqldumpCommand)`
`Mysqldump` `setPassword(String pwd)`
`Mysqldump` `setServer(String server)`
`Mysqldump` `setSkipOpt(boolean flag)`
`Mysqldump` `setTable(String... table)`
`Mysqldump` `setUser(String user)`
`Process` `storeTo(File dumpFile, Monitor monitor, boolean wait)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mysqldump

    public Mysqldump()

### Mysqldump

    public Mysqldump(String mysqldumpCommand)

Method Detail

### clear

    public void clear()

  resets the connection specific data

### configureFromSettings

    public void configureFromSettings(String prefix)

### setMysqldump

    public Mysqldump setMysqldump(String mysqldumpCommand)

### setMysqlCommand

    public Mysqldump setMysqlCommand(String mysqlCommand)

### setServer

    public Mysqldump setServer(String server)

### setUser

    public Mysqldump setUser(String user)

### setPassword

    public Mysqldump setPassword(String pwd)

### setCompress

    public Mysqldump setCompress(boolean flag)

### setSkipOpt

    public Mysqldump setSkipOpt(boolean flag)

### setDatabase

    public Mysqldump setDatabase(String... dbname)

### setTable

    public Mysqldump setTable(String... table)

### storeTo

    public Process storeTo(File dumpFile,
                           Monitor monitor,
                           boolean wait)
                    throws IOException,
                           InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

### loadFrom

    public Process loadFrom(File dumpFile,
                            Monitor monitor,
                            boolean wait)
                     throws IOException,
                            InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads